Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class EmptyStmt

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.EmptyStmt

    public class EmptyStmt

extends Statement

Constructor Summary
`EmptyStmt()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classlist, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`CTripleSet` | `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyStmt

    public EmptyStmt()

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classlist,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Specified by:
    `TRStatement` in class `Statement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD